#ifndef PARSER_H
#define PARSER_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdbool.h>

size_t get_file_len(FILE *file);
char *load_file(const char *path);
char *get_next_line(char* buffer, bool clear);
char *get_next_token(char *buffer, char *delim, bool clear);

#endif